Bug 1380415 (CVE-2016-7977) - CVE-2016-7977 ghostscript: .libfile does not honor -dSAFER
Summary: CVE-2016-7977 ghostscript: .libfile does not honor -dSAFER
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-7977
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1380416 1390299 1390300 1390301 1390302
Blocks: 1380329
TreeView+ depends on / blocked
 
Reported: 2016-09-29 14:25 UTC by Adam Mariš
Modified: 2019-09-29 13:57 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
It was found that ghostscript function .libfile did not honor the -dSAFER option, usually used when processing untrusted documents, leading to information disclosure. A specially crafted postscript document could, in the context of the gs process, retrieve file content on the target machine.
Clone Of:
Environment:
Last Closed: 2017-01-04 11:10:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0013 normal SHIPPED_LIVE Moderate: ghostscript security update 2017-01-04 15:09:56 UTC
Red Hat Product Errata RHSA-2017:0014 normal SHIPPED_LIVE Moderate: ghostscript security update 2017-01-04 15:09:47 UTC

Description Adam Mariš 2016-09-29 14:25:40 UTC
It was found that .libfile can be used to access arbitrary files on the file system.

PoC:

http://www.openwall.com/lists/oss-security/2016/09/29/3

Upstream bug:

http://bugs.ghostscript.com/show_bug.cgi?id=697169

Upstream fix:
http://git.ghostscript.com/?p=user/chrisl/ghostpdl.git;a=commitdiff;h=cf046d2

Comment 1 Adam Mariš 2016-09-29 14:26:16 UTC
Created ghostscript tracking bugs for this issue:

Affects: fedora-all [bug 1380416]

Comment 2 Adam Mariš 2016-10-06 08:25:14 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q4/37

Comment 6 errata-xmlrpc 2017-01-04 10:10:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:0014 https://rhn.redhat.com/errata/RHSA-2017-0014.html

Comment 7 errata-xmlrpc 2017-01-04 10:11:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0013 https://rhn.redhat.com/errata/RHSA-2017-0013.html


Note You need to log in before you can comment on or make changes to this bug.